CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
InputStream.h File Reference
`#include <SFML/System/Export.h>`

Go to the source code of this file.

## Data Structures
struct | sfInputStream
| Set of callbacks that allow users to define custom file streams. More...

## Typedefs
typedef sfInt64(* | sfInputStreamReadFunc )(void *data, sfInt64 size, void *userData)
typedef sfInt64(* | sfInputStreamSeekFunc )(sfInt64 position, void *userData)
typedef sfInt64(* | sfInputStreamTellFunc )(void *userData)
typedef sfInt64(* | sfInputStreamGetSizeFunc )(void *userData)
typedef struct sfInputStream | sfInputStream
| Set of callbacks that allow users to define custom file streams. More...

## Typedef Documentation

typedef struct sfInputStream sfInputStream

Set of callbacks that allow users to define custom file streams.

typedef sfInt64(* sfInputStreamGetSizeFunc)(void *userData)

Definition at line 37 of file InputStream.h.

typedef sfInt64(* sfInputStreamReadFunc)(void *data, sfInt64 size, void *userData)

Definition at line 34 of file InputStream.h.

typedef sfInt64(* sfInputStreamSeekFunc)(sfInt64 position, void *userData)

Definition at line 35 of file InputStream.h.

typedef sfInt64(* sfInputStreamTellFunc)(void *userData)

Definition at line 36 of file InputStream.h.